LOSETUP(8)

NOM
losetup - Mettre en place et contrôler des périphériques boucle

SYNOPSIS

Obtenir des informations :

losetup [périphérique_boucle]

losetup -l [-a]

losetup -j fichier [-o position]

Détacher un périphérique boucle :

losetup -d périphérique_boucle ...

Détacher tous les périphériques boucle associés :

losetup -D

Mettre en place un périphérique boucle :

losetup [-o offset] [--sizelimit size] [--sector-size size] [-Pr] [--show] -f|loopdev file

Redimensionner un périphérique boucle :

losetup -c périphérique_boucle

DESCRIPTION

losetup est utilisé pour associer les périphériques boucle avec des fichiers normaux ou des périphériques bloc, pour détacher et pour connaître l’état d’un périphérique boucle. Si seul l’argument périphérique_boucle est fourni, l’état actuel du périphérique correspondant est affiché. Sans option, tous les périphériques boucle sont affichés.

Remarquez que l’ancien format de sortie (c’est-à-dire losetup -a) avec des chaînes séparées par des virgules est obsolète, le format de sortie --list devrait être utilisé à la place.

Il est possible de créer davantage de périphériques boucle indépendants à partir du même fichier de sauvegarde. Cela peut être dangereux, causer des pertes de données, une corruption ou des réécritures. --nooverlap est à utiliser avec --find lors de la configuration pour éviter ce problème.

The loop device setup is not an atomic operation when used with --find, and losetup does not protect this operation by any lock. The number of attempts is internally restricted to a maximum of 16. It is recommended to use for example flock(1) to avoid a collision in heavily parallel use cases.

OPTIONS

Les arguments taille et position peuvent être suivis des suffixes multiplicatifs KiB=1024, MiB=1024*1024, etc., pour GiB, TiB, PiB, EiB, ZiB et YiB (la partie « iB » est facultative, par exemple « K » est identique à « KiB ») ou des suffixes KB=1000, MB=1000*1000, etc., pour GB, TB, PB, EB, ZB et YB.

-a, --all
    Show the status of all loop devices. Note that not all information is accessible for non-root users. See also --list. The old output format (as printed without --list) is deprecated.

-d, --detach périphérique_boucle...
    Détacher le fichier ou le périphérique associé avec le(s) périphérique(s) indiqué(s). Remarquez que depuis sa version 3.7 le noyau Linux utilise « la destruction paresseuse de périphérique ». L’opération de détachement ne renvoie plus une erreur EBUSY si le périphérique est utilisé activement par le système, mais il est marqué par le drapeau « autoclear » et détruit plus tard.

-D, --detach-all
    Détacher tous les périphériques boucle associés.

-f, --find [fichier]
    Déterminer le premier périphérique boucle non utilisé. Si un argument fichier est fourni, utiliser le périphérique trouvé comme un périphérique boucle, sinon, afficher son nom.

--show
    Afficher le nom du périphérique boucle assigné si l’option -f et un argument fichier sont présents.

-L, --nooverlap
    Rechercher l’existence de conflits entre des périphériques boucle pour éviter une situation où le même fichier de sauvegarde est partagé par d’autres périphériques boucle. Si le fichier est déjà utilisé par un autre périphérique alors réutiliser le périphérique plutôt que d’en utiliser un nouveau. Cette option n’a de sens qu’avec l’option --find.

-j, --associated fichier [-o position]
    Montrer l’état de tous les périphériques boucle associés au fichier.

-o, --offset position
    Le début des données est déplacé de position octets dans le fichier ou le périphérique indiqué. position peut être suivie d’un préfixe multiplicatif, voir ci-dessus.

--sizelimit taille
    La fin des données est définie au maximum à taille octets après le début des données. taille peut être suivie d’un préfixe multiplicatif, voir ci-dessus.

-b, --sector-size taille
    Set the logical sector size of the loop device in bytes (since Linux 4.14). The option may be used when creating a new loop device as well as a stand-alone command to modify sector size of the already existing loop device.

-c, --set-capacity périphérique_boucle
    Forcer le pilote de boucle à relire la taille du fichier associé au périphérique boucle indiqué.

-P, --partscan
    Forcer le noyau à analyser la table de partitionnement d’un périphérique boucle nouvellement créé. Remarquez que l’analyse de cette table dépend de la taille de secteur. Par défaut, c’est 512 octets, sinon vous devez utiliser l’option --sector-size avec l’option --partscan.

-r, --read-only
    Configurer un périphérique boucle en lecture seule.

--direct-io[=on|off]
    Enable or disable direct I/O for the backing file. The optional argument can be either on or off. If the optional argument is omitted, it defaults to on.

-v, --verbose
    Mode détaillé.

-l, --list
    Si un périphérique boucle ou que l’option -a est indiqué, afficher les colonnes par défaut soit pour le périphérique boucle indiqué, soit pour tous les périphériques boucle. Les informations sur tous les périphériques sont affichées par défaut. Consultez également --output, --noheadings, --raw et --json.

-O, --output colonne[,colonne]...
    Indiquer les colonnes à afficher pour la sortie --list. Utilisez B*--help* pour obtenir une liste de toutes les colonnes disponibles.

--output-all
    Afficher toutes les colonnes disponibles.

-n, --noheadings
    Ne pas afficher les en-têtes pour le format de sortie --list.

--raw
    Utiliser l’affichage au format --list brut.

-J, --json
    Utiliser le format JSON pour l’affichage --list.

CHIFFREMENT

cryptoloop n’est plus pris en charge et est remplacé par dm-crypt. Pour plus de précisions, consultez cryptsetup(8).

CODE DE RETOUR

losetup renvoie 0 en cas de réussite et une valeur non nulle en cas d’échec. Lorsque losetup affiche l’état d’un périphérique boucle, il renvoie 1 si le périphérique n’est pas configuré et 2 si une erreur est survenue empêchant de déterminer l’état du périphérique.

NOTES

Since version 2.37 losetup uses LOOP_CONFIGURE ioctl to setup a new loop device by one ioctl call. The old versions use LOOP_SET_FD and LOOP_SET_STATUS64 ioctls to do the same.

ENVIRONNEMENT

LOOPDEV_DEBUG=all
    Activer la sortie de débogage.

FICHIERS

/dev/loop[0..N]
    Périphériques bloc boucle.

/dev/loop-control
    Périphériques de contrôle boucle.

EXEMPLE

Les commandes suivantes sont des exemples d’utilisation du périphérique boucle :

    # dd if=/dev/zero of=~/file.img bs=1024k count=10
    # losetup --find --show ~/file.img
    /dev/loop0
    # mkfs -t ext2 /dev/loop0
    # mount /dev/loop0 /mnt
    ...
    # umount /dev/loop0
    # losetup --detach /dev/loop0

AUTEURS

à partir de la version originale de

SIGNALER DES BOGUES

Pour signaler un bogue, utilisez le gestionnaire de bogues sur

DISPONIBILITÉ

La commande losetup fait partie du paquet util-linux, elle est disponible sur